Edit a comment
const url = 'https://gitea.example.com/api/v1/repos/example/example/issues/comments/1';const options = { method: 'PATCH', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://gitea.example.com/api/v1/repos/example/example/issues/comments/1 \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Owner of the repo
Name of the repo
Id of the comment to edit
Request Body
Section titled “Request Body”EditIssueCommentOption options for editing a comment
object
Examplegenerated
{ "body": "example"}Responses
Section titled “Responses”Comment
Comment represents a comment on a commit or issue
object
Attachment a generic attachment
object
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
The user’s username
The user’s authentication sign-in name.
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private
The user’s website
Example
{ "user": { "login_name": "empty" }}APIEmpty is an empty response
APIForbiddenError is a forbidden error response
Headers
Section titled “Headers”APINotFound is a not found empty response
APIRepoArchivedError is an error that is raised when an archived repo should be modified